.anim-button {
  display: inline-block;
  padding: 5px 100px;
  background-color: #fffdd0;
  color: black;
  text-decoration: none;
  border-radius: 5px;
  font-weight: bold;
  border: 2px solid black;
  position: relative;
  overflow: hidden;
}

.anim-button::before {
  content: "";
  position: absolute;
  top: -2px;
  left: -2px;
  right: -2px;
  bottom: -2px;
  border: 2px dashed black;
  border-radius: 5px;
  animation: border-dash 2s linear infinite;
  pointer-events: none;
}

@keyframes border-dash {
  0% {
    stroke-dashoffset: 0;
  }
  100% {
    stroke-dashoffset: 100;
  }
}

.blinking-border {
  display: inline-block;
  padding: 3px 100px;
  background-color: #fffdd0;
  color: black;
  text-decoration: none;
  border-radius: 15px;
  font-weight: bold;
  border: 2px solid black;
  animation: blinkBorder 5s infinite;
}

@keyframes blinkBorder {
  0%   { border-color: black; }
  50%  { border-color: transparent; }
  100% { border-color: black; }
}